TreeReaderFactory.CharTreeReader (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc.impl

## Class TreeReaderFactory.CharTreeReader

- java.lang.Object
- - org.apache.orc.impl.TreeReaderFactory.TreeReader
  - - org.apache.orc.impl.TreeReaderFactory.StringTreeReader
    - - org.apache.orc.impl.TreeReaderFactory.CharTreeReader

- Enclosing class:
    TreeReaderFactory

      public static class TreeReaderFactory.CharTreeReader
      extends TreeReaderFactory.StringTreeReader

- - ### Field Summary

    - ### Fields inherited from class org.apache.orc.impl.TreeReaderFactory.StringTreeReader

      `reader`

    - ### Fields inherited from class org.apache.orc.impl.TreeReaderFactory.TreeReader

      `columnId, context, present, vectorColumnCount`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CharTreeReader(int columnId, int maxLength, InStream present, InStream data, InStream length, InStream dictionary, OrcProto.ColumnEncoding encoding)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `nextVector(ColumnVector previousVector, boolean[] isNull, int batchSize)` Populates the isNull vector array in the previousVector object based on the present stream values.

    - ### Methods inherited from class org.apache.orc.impl.TreeReaderFactory.StringTreeReader

      `seek, seek`

    - ### Methods inherited from class org.apache.orc.impl.TreeReaderFactory.TreeReader

      `countNonNulls, createIntegerReader, getColumnId, getPresent, nextBatch`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CharTreeReader

          protected CharTreeReader(int columnId,
                                   int maxLength,
                                   InStream present,
                                   InStream data,
                                   InStream length,
                                   InStream dictionary,
                                   OrcProto.ColumnEncoding encoding)
                            throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### nextVector

          public void nextVector(ColumnVector previousVector,
                                 boolean[] isNull,
                                 int batchSize)
                          throws IOException

      Description copied from class: `TreeReaderFactory.TreeReader`
      Populates the isNull vector array in the previousVector object based on the present stream values. This function is called from all the child readers, and they all set the values based on isNull field value.
      Overrides:
        `nextVector` in class `TreeReaderFactory.StringTreeReader`
      Parameters:
        `previousVector` - The columnVector object whose isNull value is populated
        `isNull` - Whether the each value was null at a higher level. If isNull is null, all values are non-null.
        `batchSize` - Size of the column vector
      Throws:
        `IOException`

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.